<template>
    <div class="cont">
        <div class="c-left">
            <ReSidebar
                :sideBarList="sideList"
                @click="handleSideClick"
                :active-index="tabIndex - 1"
            />
        </div>
        <div class="c-right">
            <img v-if="tabIndex == 1" src="../../assets/images/phone/bg1.webp" alt="" />
            <img v-if="tabIndex == 2" src="../../assets/images/phone/bg2.webp" alt="" />
            <img v-if="tabIndex == 3" src="../../assets/images/phone/bg3.webp" alt="" />
            <img v-if="tabIndex == 4" src="../../assets/images/phone/bg4.webp" alt="" />
        </div>
    </div>
</template>

<script>
import ReSidebar from "@/components/leftBar.vue";
export default {
    name: 'BydPage1',
    data() {
        return {
            sideList:[
                {
                    id:1,
                    name:"拨号",
                    icon:'ic_ph_p',
                    a_icon:'ic_ph_pa'
                },
                {
                    id:2,
                    name:"联系人",
                    icon:'ic_ph_lx',
                    a_icon:'ic_ph_lxa'
                },
                {
                    id:3,
                    name:"通话记录",
                    icon:'ic_ph_th',
                    a_icon:'ic_ph_tha'
                },
                {
                    id:4,
                    name:"未接来电",
                    icon:'ic_ph_px',
                    a_icon:'ic_ph_pxa'
                },
            ],
            tabIndex: 1,
        };
    },
    components:{
        ReSidebar,
    },
    mounted() {
        
    },

    methods: {
        handleSideClick(item) {
        this.tabIndex = item.id;
        },
    },
};
</script>

<style lang="scss" scoped>
.active{
    background-color: white;
    
}
.cont{
    width: 100%;
    height: 100%;
    display: flex;
    .c-left{
        width: 12%;
        height: 100%;
    }
    .c-right{
        width: 88%;
        height: 100%;
        img {
            margin-top: 120px;
            width: 100%;
            // height: 100%;
        }
    }
}
</style>